NullConduitSelector (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.endpoint, class: NullConduitSelector

Package org.apache.cxf.endpoint

# Class NullConduitSelector

java.lang.Object
org.apache.cxf.endpoint.NullConduitSelector

All Implemented Interfaces:
  `ConduitSelector`

public class NullConduitSelector extends Object implements ConduitSelector
Strategy for null Conduit retrieval. An instance of this class is set on the Exchange to clear the current ConduitSelector, as a work-around for broken Exchange.remove(ConduitSelector.class) semantics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullConduitSelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `complete(Exchange exchange)`
  Called on completion of the MEP for which the Conduit was required.
  `Endpoint`
  `getEndpoint()`
  `void`
  `prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `Conduit`
  `selectConduit(Message message)`
  Called when a Conduit is actually required.
  `void`
  `setEndpoint(Endpoint ep)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullConduitSelector

    public NullConduitSelector()

- ## Method Details

  - ### prepare

    public void prepare(Message message)
    Called prior to the interceptor chain being traversed.
    Specified by:
      `prepare` in interface `ConduitSelector`
    Parameters:
      `message` - the current Message

  - ### selectConduit

    public Conduit selectConduit(Message message)
    Called when a Conduit is actually required.
    Specified by:
      `selectConduit` in interface `ConduitSelector`
    Parameters:
      `message` -
    Returns:
      the Conduit to use for mediation of the message

  - ### complete

    public void complete(Exchange exchange)
    Called on completion of the MEP for which the Conduit was required.
    Specified by:
      `complete` in interface `ConduitSelector`
    Parameters:
      `exchange` - represents the completed MEP

  - ### getEndpoint

    public Endpoint getEndpoint()
    Specified by:
      `getEndpoint` in interface `ConduitSelector`
    Returns:
      the encapsulated Endpoint

  - ### setEndpoint

    public void setEndpoint(Endpoint ep)
    Specified by:
      `setEndpoint` in interface `ConduitSelector`
    Parameters:
      `ep` - the endpoint to encapsulate